Package com.orchestranetworks.service

# Class MergeSpecForInstanceContents

java.lang.Object
com.orchestranetworks.service.MergeSpecForInstanceContents

public final class MergeSpecForInstanceContents extends Object
Specifies the contents to be merged for a dataset.

See Also:
  - `MergeSpecForHome`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MergeSpecForInstanceContents()`
  Default constructor that includes all content types.
  `MergeSpecForInstanceContents(boolean isIncludedAll)`
  Constructor that allows specifying whether to include all content types.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isIncludeHeader()`
  `boolean`
  `isIncludeRights()`
  `boolean`
  `isIncludeSomeContent()`
  `boolean`
  `isIncludeValues()`
  `void`
  `setIncludeHeader(boolean includeHeader)`
  Specifies whether the header content is to be merged.
  `void`
  `setIncludeRights(boolean includeRights)`
  Specifies whether permissions are to be merged.
  `void`
  `setIncludeValues(boolean includeValues)`
  Specifies whether values must be merged.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MergeSpecForInstanceContents

    public MergeSpecForInstanceContents()
    Default constructor that includes all content types.

    This constructor is equivalent to:

    > `MergeSpecForInstanceContents(true)`

  - ### MergeSpecForInstanceContents

    public MergeSpecForInstanceContents(boolean isIncludedAll)
    Constructor that allows specifying whether to include all content types.
    Parameters:
      `isIncludedAll` - if true, includes all content types; otherwise, includes none.
    Since:
      6.2.1

- ## Method Details

  - ### isIncludeHeader

    public boolean isIncludeHeader()
    See Also:
      - `setIncludeHeader(boolean)`

  - ### setIncludeHeader

    public void setIncludeHeader(boolean includeHeader)
    Specifies whether the header content is to be merged.

    Default value is `true`.

    The header content provides general information about a dataset: the XML Schema Document `location` (for root datasets), localized `labels` and `descriptions`, `activation status`, etc.

  - ### isIncludeRights

    public boolean isIncludeRights()
    See Also:
      - `setIncludeRights(boolean)`

  - ### setIncludeRights

    public void setIncludeRights(boolean includeRights)
    Specifies whether permissions are to be merged.

    Default value is `true`.

    These are the permissions for a data set (these permissions can be recursively inherited by its child datasets).

  - ### isIncludeValues

    public boolean isIncludeValues()
    See Also:
      - `setIncludeValues(boolean)`

  - ### setIncludeValues

    public void setIncludeValues(boolean includeValues)
    Specifies whether values must be merged.

    Default value is `true`.

    The values are the "operational" data in EBX®. Their structure is defined by the `underlying data model`.

  - ### isIncludeSomeContent

    public boolean isIncludeSomeContent()